Subject: [PATCH v2 2/3] soc: dove: add legacy support to PMU driver

From: [email-masked] (Gregory CLEMENT)
Date: Mon, 07 Dec 2015 22:24:58 +0100

Hi Russell King,
 
 On lun., d?c. 07 2015, Russell King - ARM Linux <[email-masked]> wrote:

> On Mon, Dec 07, 2015 at 10:09:27PM +0100, Gregory CLEMENT wrote:
>> Hi Russell,
>>  
>>  On lun., d?c. 07 2015, Gregory CLEMENT <[email-masked]> wrote:
>> 
>> >  On lun., d?c. 07 2015, Gregory CLEMENT <[email-masked]> wrote:
>> >
>> >> Hi Russell,
>> >>  
>> >>  On lun., d?c. 07 2015, Russell King <[email-masked]> wrote:
>> >>
>> >>> Add support for legacy non-DT Dove to the PMU driver, so that we can
>> >>> transition the legacy support over.
>> >>>
>> >>> Signed-off-by: Russell King <[email-masked]>
>> >>
>> >> Applied on mvebu/soc (and fixed a conflict in drivers/soc/Makefile)
>> >
>> > Eventually I applied it on mvebu/drivers rather than mvebu/soc
>> 
>> Actually I was too optimitic. It doesn't build on mvebu/soc (based on
>> 4.4-rc1).
>> 
>> First pm_genpd_poweroff_unused() had been removed since bb4b72fc63d4 "PM
>> / Domains: Remove pm_genpd_poweroff_unused() API ".
>> 
>> Then, even by removing the call this function to go furthetr I got other
>> errors such as: drivers/soc/dove/pmu.c:344:46: error:
>> ?IRQ_DOVE_PMU_START? undeclared (first use in this function)
>
> I guess that's with Arnd's patches?  Sigh, okay, it'll have to wait yet
> _another_ kernel cycle then.

Yes I think the breakage comes from "ARM: orion: use SPARSE_IRQ
everywhere". With this one mach/irqs.h is no more visible by
drivers/soc/dove/pmu.c. But I am sure we can find a solution. It could
not be the first time there is such issue when moving to multiplatform.

Arnd, do you have some suggestion?

Thanks,

Gregory

>
> -- 
> RMK's Patch system: http://www.arm.linux.org.uk/developer/patches/
> FTTC broadband for 0.8mile line: currently at 9.6Mbps down 400kbps up
> according to speedtest.net.

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com